Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 667403002: Rename nodes/elements traversal function names. (Closed)

Created:
4 years, 9 months ago by hayato
Modified:
4 years, 9 months ago
Reviewers:
esprehn, dglazkov
CC:
darktears, apavlov+blink_chromium.org, arv+blink, blink-reviews, blink-reviews-bindings_chromium.org, blink-reviews-css, blink-reviews-dom_chromium.org, blink-reviews-html_chromium.org, dglazkov+blink, eae+blinkwatch, ed+blinkwatch_opera.com, groby+blinkspell_chromium.org, rwlbuis, rune+blink, sof
Project:
blink
Visibility:
Public.

Description

Rename nodes/elements traversal function names. Rename the following functions: NodeTraversal::startsFrom(const Node*) (and Traversal<ElementType>::startsFrom(const ElementType*) NodeTraversal::startsFromNextOf(const Node&) (and Traversal<ElementType>::startsFromNextOf(const ElementType&) to: NodeTraversal::startsAt(const Node*) (and Traversal<ElementType>::startsAt(const ElementType*) NodeTraversal::startsAfter(const Node&) (and Traversal<ElementType>::startsAfter(const ElementType&) so that they have more meaningful names. This patch also removes an unnecessary underlying iterator, TraversalInclusiveNextIterator. BUG=None TEST=no layout test failure Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=184287

Patch Set 1 #

Patch Set 2 : Rename to startsAt (and startsAfter) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -48 lines) Patch
M Source/bindings/core/v8/V8GCController.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/css/resolver/SharedStyleFinder.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/Document.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/DocumentOrderedMap.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/ElementTraversal.h View 1 2 chunks +6 lines, -6 lines 0 comments Download
M Source/core/dom/Node.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/NodeTraversal.h View 1 4 chunks +8 lines, -21 lines 0 comments Download
M Source/core/dom/TreeScope.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/dom/VisitedLinkState.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/editing/CompositeEditCommand.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/editing/EditingStyle.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/editing/FrameSelection.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/editing/ReplaceSelectionCommand.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/editing/SpellChecker.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/editing/markup.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/HTMLFormElement.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/page/FocusController.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/xml/XPathNodeSet.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/xml/XPathStep.cpp View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 9 (2 generated)
hayato
PTAL. A follow-up patch for the comment, https://codereview.chromium.org/642973003/#msg18
4 years, 9 months ago (2014-10-22 07:15:51 UTC) #2
dglazkov
What do you think of startAt, startAfter? /bikeshed
4 years, 9 months ago (2014-10-22 15:13:18 UTC) #3
hayato
On 2014/10/22 15:13:18, dglazkov wrote: > What do you think of startAt, startAfter? /bikeshed Sounds ...
4 years, 9 months ago (2014-10-23 07:32:22 UTC) #4
hayato
I've renamed. PTAL
4 years, 9 months ago (2014-10-23 07:59:21 UTC) #5
dglazkov
lgtm
4 years, 9 months ago (2014-10-23 16:48:41 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/667403002/20001
4 years, 9 months ago (2014-10-23 16:49:46 UTC) #8
commit-bot: I haz the power
4 years, 9 months ago (2014-10-23 16:53:59 UTC) #9
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as 184287

Powered by Google App Engine
This is Rietveld 408576698